Skip to main content
`Ctrl`+`K`

# pandas.StringDtype

class pandas.StringDtype(storage=None, na_value=<NA>)

  Extension dtype for string data.

  Warning

  StringDtype is considered experimental. The implementation and parts of the API may change without warning.

  Parameters:
    storage{“python”, “pyarrow”}, optional

      If not given, the value of `pd.options.mode.string_storage`.

    na_value{np.nan, pd.NA}, default pd.NA

      Whether the dtype follows NaN or NA missing value semantics.

  Attributes

  None |

  Methods

  None |

  Examples

      >>> pd.StringDtype()
      string[python]

      >>> pd.StringDtype(storage="pyarrow")
      string[pyarrow]